Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.assets
Class SRSMinimizingInterceptor

    java.lang.Object
      org.apache.tapestry5.internal.services.assets.SRSMinimizingInterceptor

All Implemented Interfaces:
  StreamableResourceSource

    public class SRSMinimizingInterceptor

extends java.lang.Object
implements StreamableResourceSource

Loops the result through the `ResourceMinimizer` service.

Constructor Summary
`SRSMinimizingInterceptor(StreamableResourceSource delegate, ResourceMinimizer minimizer)`

Method Summary
`StreamableResource` | `getStreamableResource(Resource baseResource, StreamableResourceProcessing processing, ResourceDependencies dependencies)` Converts a Resource (which must be non-null and exist) into a streamable resource, along with some additional optional behaviors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SRSMinimizingInterceptor

    public SRSMinimizingInterceptor(StreamableResourceSource delegate,
                                    ResourceMinimizer minimizer)

Method Detail

### getStreamableResource

    public StreamableResource getStreamableResource(Resource baseResource,
                                                    StreamableResourceProcessing processing,
                                                    ResourceDependencies dependencies)
                                             throws java.io.IOException

  Description copied from interface: `StreamableResourceSource`
  Converts a Resource (which must be non-null and exist) into a streamable resource, along with some additional optional behaviors.

  Specified by:
    `getStreamableResource` in interface `StreamableResourceSource`
  Parameters:
    `baseResource` - the resource to convert
    `processing` - defines additional processing after the resource has been read and possibly transformed
    `dependencies` - Passed to any `ResourceTransformer` to track additional dependencies of the base resource
  Returns:
    the contents of the Resource, possibly transformed, in a streamable format.
  Throws:
    `java.io.IOException` - if the resource does not exist or a URL for the content is not available

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.